From 427a268ed4699cfcb01b69a651a18b82a79b15de Mon Sep 17 00:00:00 2001
From: Mathieu Parent <math.parent@gmail.com>
Date: Wed, 22 Oct 2014 18:30:35 +0200
Subject: [PATCH 1/2] Install complete core sources instead of broken
 closure-compiled one (Closes: #753668, #756155)

---
 debian/ckeditor.install |  1 +
 debian/control          |  3 +--
 debian/rules            | 19 -------------------
 3 files changed, 2 insertions(+), 21 deletions(-)

diff --git a/debian/ckeditor.install b/debian/ckeditor.install
index 1ca4275..e146064 100644
--- a/debian/ckeditor.install
+++ b/debian/ckeditor.install
@@ -1,5 +1,6 @@
 *.css	 /usr/share/javascript/ckeditor
 *.js	 /usr/share/javascript/ckeditor
+core     /usr/share/javascript/ckeditor
 adapters /usr/share/javascript/ckeditor
 lang 	 /usr/share/javascript/ckeditor
 plugins	 /usr/share/javascript/ckeditor
diff --git a/debian/control b/debian/control
index f9448aa..bc25cf8 100644
--- a/debian/control
+++ b/debian/control
@@ -3,8 +3,7 @@ Section: web
 Priority: optional
 Maintainer: Frank Habermann <lordlamer@lordlamer.de>
 Uploaders: Bastien Roucariès <roucaries.bastien+debian@gmail.com>
-Build-Depends: debhelper (>= 9.0~),
-    closure-compiler
+Build-Depends: debhelper (>= 9.0~)
 Standards-Version: 3.9.5
 Homepage: http://ckeditor.com
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ckeditor.git
diff --git a/debian/rules b/debian/rules
index 8934235..ab16558 100755
--- a/debian/rules
+++ b/debian/rules
@@ -6,28 +6,9 @@ export CK_BASE = core/ckeditor_base
 %:
 	dh $@
 
-override_dh_auto_build:
-	dh_auto_build
-
-	# manually build ckeditor.js from core/ckeditor_base.min.js
-	closure-compiler --js ${CK_BASE}.js --js_output_file ${CK_BASE}.min.js
-	sed -e '/^\/\/[[:space:]]*AUTOGENERATED by debian/{r core/ckeditor_base.min.js' -e 'h;}' \
-	    -e '$${x;/./{x;q0};x;q1}' 'ckeditor.js' > ckeditor.js.inc
-
-
-override_dh_clean:
-	dh_clean
-	test ! -f ${CK_BASE}.min.js || rm -rf ${CK_BASE}.min.js
-	test ! -f ckeditor.js.inc || rm -rf ckeditor.js.inc
-
 override_dh_install:
 	dh_install
 
-	# manually override ckeditor.js from core/ckeditor_base.min.js
-	cp -f ckeditor.js.inc debian/ckeditor/usr/share/javascript/ckeditor/ckeditor.js
-
-	# remove internal file
-	find debian/ckeditor/usr/share/javascript/ckeditor -type f -name '_*' | xargs rm -f
 	# remove build file
 	find debian/ckeditor/usr/share/javascript/ckeditor -type f -name 'build-config.js' | xargs rm -f
 	# remove extra LICENSE.md
-- 
2.1.1

